package localhost;

import java.util.StringTokenizer;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import org.jboss.wsf.spi.annotation.WebContext;

@WebService(serviceName = "Joker", name = "Joker", targetNamespace = "http://localhost")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@WebContext( contextRoot = "/joker" , urlPattern="/wsbase" )
public class JokerImpl implements Joker {

	@TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
    @WebMethod
    @WebResult(name = "methodResponse", targetNamespace = "http://localhost", partName = "rs")
	public MethodResponse shift(
			@WebParam(name = "methodRequest", targetNamespace = "http://localhost", partName = "rq")
			MethodRequest rq) {
		
		String ret = "";
		StringTokenizer tokenizer = new StringTokenizer(rq.getReqString(), "+");
		while (tokenizer.hasMoreTokens()) {
			ret = tokenizer.nextToken() + "+" + ret;
		}
		MethodResponse res = new MethodResponse();
		res.setResString(ret);
	    return res;
	    
	}
}
